CAL(1)

NOM
cal - Afficher un calendrier

SYNOPSIS
cal [-jysm13] [[mois] [annee]]

DESCRIPTION
cal affiche un calendrier. Si les arguments sont omis, le mois courant est affiché. Les options sont les suivantes :

-j  Afficher les numéros des jours dans l'année (le numéro 1 correspond au 1er janvier).

-y  Afficher le calendrier de l'année courante.

-v  Afficher les informations de version et quitter.

-s  Commencer la semaine le dimanche (option par défaut).

-m  Commencer la semaine le lundi.

-1  N'afficher que le mois en cours (option par défaut).

-3  Affiche le mois en cours, le précédent et le suivant.

Un paramètre unique indique l'année (1 - 9999) à afficher ; veuillez noter que l'année doit être complètement spécifiée : « cal 89 » n'affiche pas le calendrier de 1989. Deux paramètres indiquent le mois (1-12) et l'année. S'il n'y a pas de paramètres, le calendrier du mois courant est affiché. L'année commence le 1er janvier. On considère généralement que le passage au calendrier grégorien est survenu le 3 septembre 1752. À cette époque, la plupart des pays avaient reconnu ce calendrier (mais quelques uns ne le reconnurent qu'au début du 20ème siècle). Les dix jours suivant cette date furent éliminés, et donc le calendrier de ce mois est un peu particulier.

VERSIONS

  Historique
La commande cal est apparue dans la version 6 de AT&T UNIX.

  Autres versions
Il existe des versions beaucoup plus élaborées de ce programme, avec des couleurs, les vacances, les rappels des anniversaires et des rendez-vous, etc. Par exemple, regardez le programme GNU gcal.

DISPONIBILITÉ
La commande cal fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

TRADUCTION
Ce document est une traduction réalisée par Michel Quercia <quercia AT cal DOT enst DOT fr> le 20 mai 1997 et révisée le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 cal ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.